%global modulename glob

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-glob
Version:        7.1.3
Release:        1%{?dist}
Summary:        a little globber

License:        ISC
URL:            https://github.com/isaacs/node-glob#readme
Source0:        https://registry.npmjs.org/glob/-/glob-7.1.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(fs.realpath) >= 1.0.0 with npmlib(fs.realpath) < 2.0.0))
BuildRequires:  ((npmlib(inflight) >= 1.0.4 with npmlib(inflight) < 2.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.0 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(minimatch) >= 3.0.4 with npmlib(minimatch) < 4.0.0))
BuildRequires:  ((npmlib(once) >= 1.3.0 with npmlib(once) < 2.0.0))
BuildRequires:  ((npmlib(path-is-absolute) >= 1.0.0 with npmlib(path-is-absolute) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
a little globber

%package 7.1.3
Summary:        a little globber


%description 7.1.3
a little globber

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr common.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr glob.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr sync.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc changelog.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 7.1.3
%doc README.md
%doc changelog.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 7.1.3-1
- Package automatically generated by npm2srpm
